{
  description = "Sketches in Quil";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs";
    flake-utils.url = "github:numtide/flake-utils";
  };

  outputs = { self, nixpkgs, flake-utils }: 
    flake-utils.lib.eachDefaultSystem (system:
    let pkgs = nixpkgs.legacyPackages.${system};
    in {
      devShell = pkgs.mkShell { 
        buildInputs = [ 
          pkgs.leiningen 
          pkgs.jdk11
          pkgs.clojure
        ]; 
      };
    });
}
